//
//  CounterViewController.m
//  Counter
//
//  Created by aka on 08/12/19.
//  Copyright __MyCompanyName__ 2008. All rights reserved.
//

#import "CounterViewController.h"

@implementation CounterViewController

// カウンターの値を表示用ラベルに表示
- (void)updateDisplay
{
	display.text = [NSString stringWithFormat:@"%04d", count];
}


// カウンターの値を増やす
- (IBAction)add
{
	count = count + 1;
	[self updateDisplay];
}


// カウンターの値を減らす
- (IBAction)subtract
{
	count = count - 1;
	if (count < 0)
		count = 0;
	[self updateDisplay];
}


// カウンターの値をゼロにする
- (IBAction)clear
{
	count = 0;
	[self updateDisplay];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}


- (void)dealloc
{
    [super dealloc];
}

@end
